it.csi.mddtools.guigen

## Interface Field

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Field
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Field'. Il campo di un ComplexType.

  The following features are supported:

  - `Name`
  - `Type`
  - `Required`
  - `Data Type Modifier`
  - `Annotations`
  See Also:
    `GuigenPackage.getField()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<Annotation>` | `getAnnotations()` Returns the value of the 'Annotations' containment reference list.
    `java.lang.String` | `getDataTypeModifier()` Returns the value of the 'Data Type Modifier' attribute
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `Type` | `getType()` Returns the value of the 'Type' reference
    `boolean` | `isRequired()` Returns the value of the 'Required' attribute
    `void` | `setDataTypeModifier(java.lang.String value)` Sets the value of the '`Data Type Modifier`' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setRequired(boolean value)` Sets the value of the '`Required`' attribute
    `void` | `setType(Type value)` Sets the value of the '`Type`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      nome del campo. deve essere un identificativo valido per Java.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getField_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getType

          Type getType()

      Returns the value of the 'Type' reference.

      If the meaning of the 'Type' reference isn't clear, there really should be more of a description here...

      tipo del campo.
      Returns:
        the value of the 'Type' reference.
      See Also:
        `setType(Type)`, `GuigenPackage.getField_Type()`

    - #### setType

          void setType(Type value)

      Sets the value of the '`Type`' reference.
      Parameters:
        `value` - the new value of the 'Type' reference.
      See Also:
        `getType()`

    - #### isRequired

          boolean isRequired()

      Returns the value of the 'Required' attribute.

      If the meaning of the 'Required' attribute isn't clear, there really should be more of a description here...

      Se impostato a true il campo sarà considerato obbligatorio.
      Returns:
        the value of the 'Required' attribute.
      See Also:
        `setRequired(boolean)`, `GuigenPackage.getField_Required()`

    - #### setRequired

          void setRequired(boolean value)

      Sets the value of the '`Required`' attribute.
      Parameters:
        `value` - the new value of the 'Required' attribute.
      See Also:
        `isRequired()`

    - #### getDataTypeModifier

          java.lang.String getDataTypeModifier()

      Returns the value of the 'Data Type Modifier' attribute.

      If the meaning of the 'Data Type Modifier' attribute isn't clear, there really should be more of a description here...

      Tutti i controlli modellabili mediante l'attributo dataTypeModifier del widget devono avere formato [validatore]:[regole]. Per i dettagli circa i possibili vlaidatori utilizzabili si rimanda al seguente documento.
      Returns:
        the value of the 'Data Type Modifier' attribute.
      See Also:
        `setDataTypeModifier(String)`, `GuigenPackage.getField_DataTypeModifier()`

    - #### setDataTypeModifier

          void setDataTypeModifier(java.lang.String value)

      Sets the value of the '`Data Type Modifier`' attribute.
      Parameters:
        `value` - the new value of the 'Data Type Modifier' attribute.
      See Also:
        `getDataTypeModifier()`

    - #### getAnnotations

          org.eclipse.emf.common.util.EList<Annotation> getAnnotations()

      Returns the value of the 'Annotations' containment reference list. The list contents are of type `Annotation`.

      If the meaning of the 'Annotations' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Annotations' containment reference list.
      See Also:
        `GuigenPackage.getField_Annotations()`